#include "avf_custom.lua"


--[[

	use this file to config the parameters for your tank

	Feel free to rename this to the name of your tank



]]

vehicleParts = {
	chassis = {
		
	},
	turrets = {

	},
	guns = {
		["mainCannon"] = {
					name 	= "Rocket Launcher",
					weaponType 				= "rocket",
					caliber 				= 227.0,
					magazines 					= {
											[1] = {
							magazineCapacity 		= 12,
							ammoCount 				= 0,
							magazineCount 			= 600,
							name 					= "227mm rocket HE Mid",
							caliber 				= 227.0,
							velocity				= 60,
							explosionSize			= 4.0,
							maxPenDepth 			= 0.1,
							gravityCoef 			= 2,
							timeToLive 				= 20,
							launcher				= "rocket",
							payload					= "HE",
							shellWidth				= 2,
							shellHeight				= 5,
							r						= 0.1,
							g						= 0.3, 
							b						= 0.1, 
							shellSpriteName			= "MOD/gfx/rocketModel2.png",
							shellSpriteRearName		= "MOD/gfx/rocketRear.png",
							flightLoop				= "MOD/sounds/rocketFlightLoop0",

												},
											[2] = {
							magazineCapacity 		= 12,
							ammoCount 				= 0,
							magazineCount 			= 600,
							name 					= "227mm rocket HE Far",
							caliber 				= 227.0,
							velocity				= 80,
							explosionSize			= 5.0,
							maxPenDepth 			= 0.1,
							gravityCoef 			= 2,
							timeToLive 				= 20,
							launcher				= "rocket",
							payload					= "HE",
							shellWidth				= 2,
							shellHeight				= 5,
							r						= 0.1,
							g						= 0.5, 
							b						= 0.1, 
							shellSpriteName			= "MOD/gfx/rocketModel2.png",
							shellSpriteRearName		= "MOD/gfx/rocketRear.png",
							flightLoop				= "MOD/sounds/rocketFlightLoop0",
												},
											[3] = {
							magazineCapacity 		= 12,
							ammoCount 				= 0,
							magazineCount 			= 600,
							name 					= "227mm rocket HE Close",
							caliber 				= 227.0,
							velocity				= 45,
							explosionSize			= 3.0,
							maxPenDepth 			= 0.1,
							gravityCoef 			= 2,
							timeToLive 				= 12,
							launcher				= "rocket",
							payload					= "HE",
							shellWidth				= 2,
							shellHeight				= 5,
							r						= 0.1,
							g						= 0.8, 
							b						= 0.1, 
							shellSpriteName			= "MOD/gfx/rocketModel2.png",
							shellSpriteRearName		= "MOD/gfx/rocketRear.png",
							flightLoop				= "MOD/sounds/rocketFlightLoop0",

												},
											},
					loadedMagazine 			= 1,
					barrels 				= 
												{
													[2] = {x=0.2,y=0.2,z=-0.3},
												},
					multiBarrel 			= 1,
					backBlast				= 
												{
													[1] = {z=4.0,force=50},
												},
					sight					= {
												[1] = {
												x = 2.2,
												y = 1.3,
												z = 0.3,
											},


												},
					canZoom					= true,
					highVelocityShells		= true,
					RPM 					= 80,
					reload 					= 5,
					recoil 					= 60,
					weapon_recoil 			= 1,
					cannonBlast 			= 0.2,
					dispersion 				= 4,
					gunRange				= 500,
					gunBias 				= -1,
					elevationSpeed			= .5,
					smokeFactor 			= 10,
					smokeMulti				= 5,
					soundFile				= "MOD/sounds/rockets/rocket_launcher_01",

				},		
			},
	
	
}
	

	---- magazine num _ val
	---- barrels num value

vehicle = {

}

